GeographicLib 2.7

Loading...
Searching...
No Matches
GeographicLib::Triaxial::GeodesicLine3::gline::gics Class Reference

`#include <GeographicLib/Triaxial/GeodesicLine3.hpp>`

## Public Member Functions
| gics ()
| gics (const gline &g, const fline::fics &fic)

## Public Attributes
real | sig1
real | s13

## Detailed Description

Definition at line 289 of file GeodesicLine3.hpp.

## Constructor & Destructor Documentation

## ◆ gics() [1/2]

GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics | ( |  | ) |
| inline

Definition at line 293 of file GeodesicLine3.hpp.

## ◆ gics() [2/2]

GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics | ( | const gline & | g,
|  | const fline::fics & | fic )

Definition at line 1100 of file GeodesicLine3.cpp.

References GeographicLib::Triaxial::GeodesicLine3::fline::fics::Nx, GeographicLib::Triaxial::GeodesicLine3::fline::fics::phi0, GeographicLib::Triaxial::GeodesicLine3::fline::fics::phi1, sig1, GeographicLib::Triaxial::GeodesicLine3::fline::fics::tht0, GeographicLib::Triaxial::GeodesicLine3::fline::fics::tht1, GeographicLib::Triaxial::GeodesicLine3::fline::fics::u0, and GeographicLib::Triaxial::GeodesicLine3::fline::fics::v0.

## Member Data Documentation

## ◆ sig1

real GeographicLib::Triaxial::GeodesicLine3::gline::gics::sig1

Definition at line 292 of file GeodesicLine3.hpp.

Referenced by gics().

## ◆ s13

real GeographicLib::Triaxial::GeodesicLine3::gline::gics::s13

Definition at line 292 of file GeodesicLine3.hpp.

The documentation for this class was generated from the following files:

- GeodesicLine3.hpp
- GeodesicLine3.cpp